Generated from the live OpenAPI document — 2026-10-19.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.
Operations
| Method | Path | Summary / body | Responses |
|---|---|---|---|
| GET | /api/agent-roles/{id}/soul.md | 200 | |
| GET | /api/identities | 200 PagedResultOfIdentityDto | |
| POST | /api/identities | 200 IdentityDto | |
| DELETE | /api/identities/{id} | 200 | |
| GET | /api/identities/{id} | 200 IdentityDto | |
| PATCH | /api/identities/{id} | 200 IdentityDto | |
| PUT | /api/identities/{id} | 200 IdentityDto | |
| POST | /api/identities/{id}/adopt | 200 IdentityDto | |
| PUT | /api/identities/{id}/presence | 200 IdentityDto | |
| GET | /api/identities/{id}/soul.md | 200 | |
| GET | /api/identities/{identityId}/api-keys | 200 PagedResultOfIdentityApiKeyDto | |
| POST | /api/identities/{identityId}/api-keys | 200 IdentityApiKeyCreatedResponse | |
| DELETE | /api/identities/{identityId}/api-keys/{keyId} | 200 | |
| POST | /api/identities/{identityId}/api-keys/{keyId}/rotate | 200 IdentityApiKeyCreatedResponse | |
| GET | /api/identities/{identityId}/children | 200 SwarmChildListResult | |
| GET | /api/identities/{identityId}/effective-tools | 200 EffectiveToolPolicyDto | |
| GET | /api/identities/{identityId}/hints | 200 PagedResultOfIdentityHintDto | |
| POST | /api/identities/{identityId}/hints | 200 IdentityHintDto | |
| PUT | /api/identities/{identityId}/hints/{hintId} | 200 IdentityHintDto | |
| POST | /api/identities/{identityId}/hints/{hintId}/complete | 200 | |
| POST | /api/identities/{identityId}/hints/{hintId}/dismiss | 200 | |
| GET | /api/identities/{identityId}/hints/due | 200 PagedResultOfIdentityHintDto | |
| GET | /api/identities/{identityId}/hydration-config | 200 IdentityHydrationConfig | |
| PUT | /api/identities/{identityId}/hydration-config | 200 IdentityHydrationConfig | |
| GET | /api/identities/{identityId}/memory-config | 200 IdentityMemoryConfig | |
| PUT | /api/identities/{identityId}/memory-config | 200 IdentityMemoryConfig | |
| GET | /api/identities/{identityId}/messaging-policy | 200 MessagingPolicy | |
| PUT | /api/identities/{identityId}/messaging-policy | 200 MessagingPolicy | |
| GET | /api/identities/{identityId}/personality | 200 IdentityPersonality | |
| PUT | /api/identities/{identityId}/personality | 200 IdentityPersonality | |
| GET | /api/identities/{identityId}/tool-profile | 200 IdentityToolProfileDto | |
| PUT | /api/identities/{identityId}/tool-profile | 200 IdentityToolProfileDto | |
| GET | /api/identities/{identityId}/work-profile | 200 IdentityWorkProfileDto | |
| PUT | /api/identities/{identityId}/work-profile | 200 IdentityWorkProfileDto | |
| GET | /api/identities/{senderId}/can-message/{recipientId} | 200 | |
| GET | /api/identities/by-name/{name} | 200 IdentityDto | |
| GET | /api/identities/by-user/{userId} | 200 IdentityDto | |
| POST | /api/identities/from-soul | 200 IdentityDto | |
| POST | /api/identities/from-soul/preview | 200 SoulSpecImport | |
| POST | /api/identities/from-soul/role | 200 AgentRoleDefinitionDto | |
| GET | /api/identities/memory-readable | 200 IdentityDto[] | |
| POST | /api/identities/provision | 200 ProvisionedIdentityResult | |
| GET | /api/identities/resolve/{identityRef} | 200 IdentityDto | |
| GET | /api/identities/tags | 200 PagedResultOfIdentityTagCountDto |
Schemas
Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.
AgentRoleDefinitionDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| guid | uuid | |
| name | string | |
| displayName | string | |
| description | null,string | |
| icon | null,string | |
| systemPromptTemplate | string | |
| defaultMaxIterations | int32 | |
| defaultMaxTokens | int32 | |
| defaultMaxWallClockMs | int32 | |
| defaultPoolIterationBudget | int32 | |
| defaultPoolTokenBudget | int32 | |
| hardIterationCap | int32 | |
| contextBudgetTokens | int32 | |
| routeSummary | null,string | |
| temperature | float | |
| fallbackModelId | null,string | |
| isSystem | boolean | |
| enabled | boolean | |
| sortOrder | int32 | |
| createdAtUtc | date-time |
EffectiveToolPolicyDto
| Property | Type | Description |
|---|---|---|
| identityId | int64 | |
| identityName | null,string | |
| safeTools | string[] | |
| optInTools | string[] | |
| blockedTools | string[] | |
| appliedLayers | string[] |
IdentityApiKeyCreatedResponse
| Property | Type | Description |
|---|---|---|
| key | IdentityApiKeyDto | |
| rawKey | string |
IdentityDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| guid | uuid | |
| userId | int64 | |
| username | string | |
| name | string | |
| displayName | string | |
| bio | null,string | |
| origin | null,string | |
| provisionedByIdentityId | int64 | |
| expiresAtUtc | date-time | |
| adoptedAtUtc | date-time | |
| type | IdentityType | |
| presenceState | PresenceState | |
| isActive | boolean | |
| createdAtUtc | date-time | |
| updatedAtUtc | date-time |
IdentityHintDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| guid | uuid | |
| identityId | int64 | |
| content | string | |
| category | null,string | |
| priority | int32 | |
| isRecurring | boolean | |
| recurrencePattern | null,string | |
| triggerAtUtc | date-time | |
| dismissedAtUtc | date-time | |
| completedAtUtc | date-time | |
| sourceMemoryId | int64 | |
| createdAtUtc | date-time |
IdentityHydrationConfig
| Property | Type | Description |
|---|---|---|
| preset | string | |
| disabledSources | string[] | |
| enabledSources | string[] | |
| identityMemoryLimit | int32 | |
| pinnedMemoryLimit | int32 | |
| recentMemoryLimit | int32 | |
| projectMemoryLimit | int32 | |
| projectLimit | int32 | |
| taskLimit | int32 | |
| taskMinPriority | int32 | |
| keyFactLimit | int32 | |
| factLimit | int32 | |
| minFactImportance | int32 | |
| pendingReplyLimit | int32 | |
| generateSystemPrompt | boolean | |
| surfacedMemoryEnabled | boolean | |
| standingRulesMode | string |
IdentityMemoryConfig
| Property | Type | Description |
|---|---|---|
| hebbianLinkingEnabled | boolean | |
| linkStrengthIncrement | float | |
| decayEnabled | boolean | |
| decayAfterDays | int32 | |
| decayAmount | int32 | |
| decayFloor | int32 | |
| autoArchiveEnabled | boolean | |
| archiveAfterDays | int32 | |
| archiveImportanceThreshold | int32 | |
| encryptionEnabled | boolean | |
| encryptionAlgorithm | string | |
| defaultSearchConfig | null | SearchConfig | |
| compressionConfig | null | ContextCompressionConfig |
IdentityPersonality
| Property | Type | Description |
|---|---|---|
| tone | string | |
| traits | string[] | |
| focusAreas | string[] | |
| boundaries | string[] | |
| greetingStyle | string | |
| uncertaintyHandling | string | |
| proactiveSuggestions | boolean | |
| customInstructions | null,string |
IdentityToolProfileDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| guid | uuid | |
| identityId | int64 | |
| identityName | null,string | |
| name | string | |
| description | null,string | |
| safeTools | string[] | |
| optInTools | string[] | |
| blockedTools | string[] | |
| createdAtUtc | date-time |
IdentityWorkProfileDto
| Property | Type | Description |
|---|---|---|
| identityId | int64 | |
| roleDefinitionId | int64 | |
| roleName | null,string | |
| toolProfileName | null,string | |
| tags | string[] |
MessagingPolicy
| Property | Type | Description |
|---|---|---|
| receiveEnabled | boolean | |
| sendEnabled | boolean | |
| allowedSenders | int64[] | |
| blockedSenders | int64[] | |
| autoReply | boolean | |
| autoReplyTo | int64[] | |
| minPriority | int32 |
PagedResultOfIdentityApiKeyDto
| Property | Type | Description |
|---|---|---|
| items* | IdentityApiKeyDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfIdentityDto
| Property | Type | Description |
|---|---|---|
| items* | IdentityDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfIdentityHintDto
| Property | Type | Description |
|---|---|---|
| items* | IdentityHintDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfIdentityTagCountDto
| Property | Type | Description |
|---|---|---|
| items* | IdentityTagCountDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
ProvisionedIdentityResult
| Property | Type | Description |
|---|---|---|
| identity | IdentityDto | |
| identityUserId | int64 | |
| rawApiKey | null,string | |
| apiKeyId | int64 | |
| createdExisting | boolean |
SoulSpecImport
| Property | Type | Description |
|---|---|---|
| name* | string | |
| displayName* | string | |
| bio* | null,string | |
| origin* | null,string | |
| tone* | string | |
| traits* | string[] | |
| focusAreas* | string[] | |
| boundaries* | string[] | |
| greetingStyle* | string | |
| uncertaintyHandling* | string | |
| customInstructions* | null,string | |
| systemPrompt* | null,string | |
| temperature* | float | |
| maxIterations* | int32 | |
| roleName* | null,string | |
| emoji* | null,string |
SwarmChildListResult
| Property | Type | Description |
|---|---|---|
| children | SwarmChildDto[] | |
| liveCount | int32 | |
| ceiling | int32 | |
| remaining | int32 | |
| tagVocabulary | IdentityTagCountDto[] |